summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/fdupes/fdupes.SlackBuild6
1 files changed, 2 insertions, 4 deletions
diff --git a/system/fdupes/fdupes.SlackBuild b/system/fdupes/fdupes.SlackBuild
index 15815e2139..2bf471b13a 100644
--- a/system/fdupes/fdupes.SlackBuild
+++ b/system/fdupes/fdupes.SlackBuild
@@ -68,10 +68,8 @@ make install \
INSTALLDIR=$PKG/usr/bin \
MANPAGEDIR=$PKG/usr/man
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;